# class RSS::Maker::RSSBase

### Attributes

encoding[RW]
feed_version[R]
rss_version[R]
standalone[RW]
version[RW]

### Public Class Methods

make(*args, &block) click to toggle source

    # File lib/rss/maker/base.rb, line 402
    def make(*args, &block)
      new(*args).make(&block)
    end

new(feed_version) click to toggle source
Calls superclass method `RSS::Maker::Base::new`

    # File lib/rss/maker/base.rb, line 428
    def initialize(feed_version)
      super(self)
      @feed_type = nil
      @feed_subtype = nil
      @feed_version = feed_version
      @version = "1.0"
      @encoding = "UTF-8"
      @standalone = nil
    end

### Public Instance Methods

make() { |self| ... } click to toggle source

    # File lib/rss/maker/base.rb, line 438
    def make
      yield(self)
      to_feed
    end

to_feed() click to toggle source

    # File lib/rss/maker/base.rb, line 443
    def to_feed
      feed = make_feed
      setup_xml_stylesheets(feed)
      setup_elements(feed)
      setup_other_elements(feed)
      feed.validate
      feed
    end

### Private Instance Methods

make_xml_stylesheets() click to toggle source

    # File lib/rss/maker/base.rb, line 454
    def make_xml_stylesheets
      XMLStyleSheets.new(self)
    end